## libkf5libkleo 16.04.1

=== debian/changelog ===
libkf5libkleo (4:16.04.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 10:59:39 +0200

libkf5libkleo (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Add missing breaks/replaces

  [ Automatic packaging ]
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 20:12:43 +0200

## libkf5libkleo 16.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(libkleo)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(KF5_VERSION "5.19.0")
set(LIBKLEO_LIB_VERSION "5.2.3")
set(QT_REQUIRED_VERSION "5.4.0")
set(GPGMEPP_LIB_VERSION "5.2.0")
set(KDEPIMTEXTEDIT_VERSION "5.2.0")
set(PIMCOMMON_LIB_VERSION "5.2.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KDEPIMTEXTEDIT_VERSION} CONFIG)

find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")



set_package_properties(KF5PimTextEdit PROPERTIES DESCRIPTION
                       "A textedit with PIM-specific features."
                       URL "https://projects.kde.org/projects/kde/pim/kpimtextedit"
                       TYPE OPTIONAL PURPOSE "Improved audit log viewer.")

ecm_setup_version(${LIBKLEO_LIB_VERSION} VARIABLE_PREFIX LIBKLEO
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )
remove_definitions( -DQT_NO_CAST_FROM_ASCII )
remove_definitions( -DQT_NO_CAST_TO_ASCII )

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkleo")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibkleoConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5LibkleoTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibkleoTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)



add_subdirectory(src)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## libkf5libkleo 16.04.2

=== debian/changelog ===
libkf5libkleo (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.1-2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 16:35:54 +0200

=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libboost-dev (>= 1.34.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5gpgmepp-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5windowsystem-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkleo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkleo.git

Package: libkf5libkleo5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04)
Replaces: libkf5libkleo5 (<= 4:16.04)
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libkf5gpgmepp-dev (>= 5.2.0~),
         libkf5libkleo5 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.19.0~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

## libkf5libkleo 16.04.3

=== debian/changelog ===
libkf5libkleo (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refresh symbols and removing MISSING

  [ Rik Mills ]
  * Fix spelling error reported by lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libboost-dev (>= 1.34.0~),
-               libkf5completion-dev (>= 5.19.0~),
-               libkf5config-dev (>= 5.19.0~),
-               libkf5coreaddons-dev (>= 5.19.0~),
-               libkf5gpgmepp-dev (>= 5.2.0~),
-               libkf5i18n-dev (>= 5.19.0~),
-               libkf5pimtextedit-dev (>= 5.2.0~),
-               libkf5widgetsaddons-dev (>= 5.19.0~),
-               libkf5windowsystem-dev (>= 5.19.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5gpgmepp-dev (>= 16.04.3~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5pimtextedit-dev (>= 16.04.3~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkleo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkleo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
 
 Package: libkf5libkleo5
 Architecture: any
@@ -48,7 +48,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libboost-dev (>= 1.34.0~),
-         libkf5gpgmepp-dev (>= 5.2.0~),
+         libkf5gpgmepp-dev (>= 16.04.3~),
          libkf5libkleo5 (= ${binary:Version}),
          libkf5widgetsaddons-dev (>= 5.19.0~),
          qtbase5-dev (>= 5.4.0~),

## libkf5libkleo 17.04.3

=== debian/changelog ===
libkf5libkleo (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Update enable_debian_abi_manager.diff
  * Update symbols files
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Update symbols from build logs for GCC7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:29 +0100

libkf5libkleo (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the debian ABI manager (libkf5libkleo5 -> libkf5libkleo5abi1) due to
    binary incompatible changes; for instance the class DecryptJob provided by
    /usr/include/KF5/libkleo/decryptjob.h is gone.
  * Add libkf5itemmodels-dev to libkf5libkleo-dev depends, fixing the
    acc headers check.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Add etc/xdg/libkleo.renamecategories to install files
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:23 +0100

=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo

Package: libkf5libkleo5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Libkleo
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev,
         libkf5itemmodels-dev (>= 5.31.0~),
         libkf5libkleo5abi1 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

## libkf5libkleo 17.12.3

=== debian/changelog ===
libkf5libkleo (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:58 +0000

libkf5libkleo (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:46 +0000

libkf5libkleo (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus-x11
# Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkf5libkleo 18.04.3

=== debian/changelog ===
libkf5libkleo (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
@@ -59,7 +59,7 @@
          libkf5widgetsaddons-dev (>= 5.31.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM cryptographic library, devel files
  This package contains the development files for libkleo, a library for
  Kleopatra and other parts of KDE using certificate-based crypto.

## libkf5libkleo 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(libkleo VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


set(LIBKLEO_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.9.0")
set(KDEPIMTEXTEDIT_VERSION "5.9.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KDEPIMTEXTEDIT_VERSION} CONFIG)

set(GPGMEPP_LIB_VERSION "1.8.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION})
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME++ Library" URL "http://www.gnupg.org" TYPE REQUIRED PURPOSE "GpgME++ is required for OpenPGP support")
find_package(QGpgme ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)


find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")


set_package_properties(KF5PimTextEdit PROPERTIES DESCRIPTION
                       "A textedit with PIM-specific features."
                       URL "https://projects.kde.org/projects/kde/pim/kpimtextedit"
                       TYPE OPTIONAL PURPOSE "Improved audit log viewer.")

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKLEO
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
remove_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkleo")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibkleoConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkleoConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5LibkleoTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibkleoTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)



add_subdirectory(src)
install( FILES libkleo.renamecategories libkleo.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===

# target_include_directories does not handle empty include paths
include_directories(${GPGME_INCLUDES})

add_definitions(-DTRANSLATION_DOMAIN=\"libkleopatra\")

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

kde_enable_exceptions()

add_definitions( -DGPGMEPP_ERR_SOURCE_DEFAULT=13 ) # 13 is GPG_ERR_SOURCE_KLEO, even if gpg-error's too old to know about

add_subdirectory( pics )
if (BUILD_TESTING)
   add_subdirectory( tests )
endif()

########### next target ###############
set(libkleo_core_SRCS
   kleo/checksumdefinition.cpp
   kleo/defaultkeyfilter.cpp
   kleo/defaultkeygenerationjob.cpp
   kleo/dn.cpp
   kleo/enum.cpp
   kleo/exception.cpp
   kleo/kconfigbasedkeyfilter.cpp
   kleo/keyfiltermanager.cpp
   kleo/keyresolver.cpp
   models/keycache.cpp
   models/keylistmodel.cpp
   models/keylistsortfilterproxymodel.cpp
   models/keyrearrangecolumnsproxymodel.cpp
   models/modeltest.cpp
   models/subkeylistmodel.cpp
   models/useridlistmodel.cpp
   utils/filesystemwatcher.cpp
   utils/formatting.cpp
   utils/classify.cpp
   )
ecm_qt_declare_logging_category(libkleo_core_SRCS HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo)

set(libkleo_ui_common_SRCS
   ui/dnattributeorderconfigwidget.cpp
   ui/kdhorizontalline.cpp
   ui/filenamerequester.cpp
   ui/messagebox.cpp
   ui/cryptoconfigmodule.cpp
   ui/cryptoconfigdialog.cpp
   ui/directoryserviceswidget.cpp
   ui/progressbar.cpp
   ui/progressdialog.cpp
   ui/auditlogviewer.cpp
   )
ecm_qt_declare_logging_category(libkleo_ui_common_SRCS HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui)

set(libkleo_ui_SRCS    # make this a separate lib.
    ui/keylistview.cpp
    ui/keyselectiondialog.cpp
    ui/keyrequester.cpp
    ui/keyapprovaldialog.cpp
    ui/newkeyapprovaldialog.cpp
    ui/keyselectioncombo.cpp
    )

ki18n_wrap_ui(libkleo_ui_common_SRCS
    ui/directoryserviceswidget.ui
)

set(kleo_LIB_SRCS ${libkleo_core_SRCS} ${libkleo_ui_SRCS}
                                       ${libkleo_ui_common_SRCS})

set(kleo_LIB_LIBS PUBLIC QGpgme Gpgmepp PRIVATE Qt5::Widgets
                                                KF5::I18n
                                                KF5::Completion
                                                KF5::ConfigCore
                                                KF5::CoreAddons
                                                KF5::WindowSystem
                                                KF5::WidgetsAddons
                                                KF5::ItemModels
                                                KF5::Codecs)

if (KF5PimTextEdit_FOUND)
  add_definitions(-DHAVE_PIMTEXTEDIT)
  set(kleo_LIB_LIBS ${kleo_LIB_LIBS} PRIVATE KF5::PimTextEdit)
endif()

add_library(KF5Libkleo ${kleo_LIB_SRCS})
generate_export_header(KF5Libkleo BASE_NAME kleo)
add_library(KF5::Libkleo ALIAS KF5Libkleo)
if(WIN32)
target_link_libraries(KF5Libkleo ${kleo_LIB_LIBS}  ${GPGME_VANILLA_LIBRARIES} )
else()
target_link_libraries(KF5Libkleo ${kleo_LIB_LIBS} )
endif()

set_target_properties(KF5Libkleo PROPERTIES
    VERSION ${LIBKLEO_VERSION_STRING}
    SOVERSION ${LIBKLEO_SOVERSION}
    EXPORT_NAME Libkleo
)

install(TARGETS
    KF5Libkleo
    EXPORT KF5LibkleoTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)



target_include_directories(KF5Libkleo PUBLIC "$<BUILD_INTERFACE:${libkleo_SOURCE_DIR}/src;${libkleo_BINARY_DIR}/src>")
target_include_directories(KF5Libkleo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Libkleo/;${KDE_INSTALL_INCLUDEDIR_KF5}/libkleo>")

ecm_generate_headers(libkleo_CamelCase_HEADERS
  HEADER_NAMES
  ChecksumDefinition
  DefaultKeyFilter
  DefaultKeyGenerationJob
  Dn
  Enum
  Exception
  KConfigBasedKeyFilter
  KeyFilter
  KeyFilterManager
  KeyResolver
  OidMap
  Predicates
  Stl_Util
  REQUIRED_HEADERS libkleo_HEADERS
  PREFIX Libkleo
  RELATIVE kleo
)

ecm_generate_headers(libkleo_CamelCase_models_HEADERS
  HEADER_NAMES
  KeyCache
  KeyListModel
  KeyListModelInterface
  KeyListSortFilterProxyModel
  KeyRearrangeColumnsProxyModel
  SubkeyListModel
  UserIDListModel
  REQUIRED_HEADERS libkleo_models_HEADERS
  PREFIX Libkleo
  RELATIVE models
)

ecm_generate_headers(libkleo_CamelCase_utils_HEADERS
  HEADER_NAMES
  Classify
  FileSystemWatcher
  Formatting
  REQUIRED_HEADERS libkleo_utils_HEADERS
  PREFIX Libkleo
  RELATIVE utils
)

ecm_generate_headers(libkleo_CamelCase_ui_HEADERS
  HEADER_NAMES
  CryptoConfigDialog
  CryptoConfigModule
  DNAttributeOrderConfigWidget
  DirectoryServicesWidget
  FileNameRequester
  KDHorizontalLine
  KeyApprovalDialog
  NewKeyApprovalDialog
  KeyRequester
  KeySelectionCombo
  KeySelectionDialog
  MessageBox
  ProgressDialog
  REQUIRED_HEADERS libkleo_ui_HEADERS
  PREFIX Libkleo
  RELATIVE ui
)

ecm_generate_pri_file(BASE_NAME Libkleo
    LIB_NAME KF5Libkleo
    DEPS "QGpgme" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkleo
)


install(FILES
    ${libkleo_CamelCase_HEADERS}
    ${libkleo_CamelCase_models_HEADERS}
    ${libkleo_CamelCase_ui_HEADERS}
    ${libkleo_CamelCase_utils_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkleo
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kleo_export.h
    ${libkleo_HEADERS}
    ${libkleo_models_HEADERS}
    ${libkleo_ui_HEADERS}
    ${libkleo_utils_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libkleo
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


if ( WIN32 )
install ( FILES libkleopatrarc-win32.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc )
else ()
install ( FILES libkleopatrarc.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc )
endif ()

=== debian/changelog ===
libkf5libkleo (4:18.08.3-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:23:40 +0800

libkf5libkleo (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:17 +0100

libkf5libkleo (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:01 +0100

libkf5libkleo (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 4:18.07.90
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:49 +0200

libkf5libkleo (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:04 +0200

libkf5libkleo (4:17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from logs of buildds.
  * Remove the alternative libqgpgme7-dev build dependency, as it does not
    exist.
  * Remove the unused 'testsuite' autopkgtest.
  * Remove the alternative libgpgme7-dev dependency in libkf5libkleo-dev,
    as it does not exist.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the unused ${shlibs:Depends} substvar in libkf5libkleo-dev.

 -- Pino Toscano <pino@debian.org>  Tue, 01 May 2018 14:40:30 +0200

libkf5libkleo (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:39 +0200

libkf5libkleo (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Update symbols files for 17.12.2.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:37 +0100

libkf5libkleo (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 18:00:06 +0100

libkf5libkleo (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:19:46 +0200

libkf5libkleo (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:15 +0000

libkf5libkleo (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:20 +0000

libkf5libkleo (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:37 +0000

libkf5libkleo (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:09 +0000

libkf5libkleo (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 13:27:39 +0000

libkf5libkleo (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:16 +0000

libkf5libkleo (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:30 +0000

libkf5libkleo (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:44 +0000

libkf5libkleo (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:32:04 +0000

libkf5libkleo (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:44 +0000

libkf5libkleo (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:30 +0000

libkf5libkleo (4:16.08.1-1~1.gbp7a5492) UNRELEASED; urgency=medium

  ** SNAPSHOT build @7a5492d7f57d55d5273643fe65f0cd0f55aa7806 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @6f2f7f92b7a10ab96f15e23a984851dbd8cc9061 **

  * UNRELEASED
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Update symbols files
  * Update build-deps and deps with the info from cmake
  * Update symbols files

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 13:37:44 +0200

libkf5libkleo (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:19 +0000



=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libboost-dev (>= 1.34.0~),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.8.0~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5completion-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5itemmodels-dev (>= 5.47.0~),
               libkf5pimtextedit-dev (>= 18.08.3~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Multi-Arch: foreign
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev (>= 1.8.0~),
         libkf5libkleo5 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.47.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
Breaks: libkf5messagecomposer-dev (<< 4:17.08)

Package: libkf5libkleo5
Architecture: any
Multi-Arch: same
Depends: libkf5libkleo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
Breaks: kdepim-addons (<< 17.08),
        kleopatra (<< 4:17.08),
        kmail (<< 4:17.08),
        libkf5kaddressbookgrantlee5 (<< 4:17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkleo-([\d.]+).tar.xz

## libkf5libkleo 18.12.3

=== debian/changelog ===
libkf5libkleo (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:24 +0100

libkf5libkleo (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:54 +0000

libkf5libkleo (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:00:07 +0000

=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo

Package: libkf5libkleo5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Libkleo
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev,
         libkf5itemmodels-dev (>= 5.31.0~),
         libkf5libkleo5abi1 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

## libkf5libkleo 19.04.3

=== debian/changelog ===
libkf5libkleo (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),

## libkf5libkleo 19.08.3

=== debian/changelog ===
libkf5libkleo (4:19.08.3-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 18 Jan 2018 16:40:34 +0000]
  * Update symbols file for Raspbian.

  [changes introduced in 4:18.08.1-1+rpi1]
  * Further symbols files updates for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 09 Dec 2019 08:00:12 +0000

libkf5libkleo (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:33 +0100

libkf5libkleo (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.
  * Update libkf5libkleo-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:14 +0100

libkf5libkleo (4:18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:37 +0100

libkf5libkleo (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:02:18 +0200

=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libboost-dev (>= 1.34.0~),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.11.1~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5itemmodels-dev (>= 5.60.0~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04)
Replaces: libkf5libkleo5 (<= 4:16.04)
Multi-Arch: foreign
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev (>= 1.11.1~),
         libkf5codecs-dev (>= 5.60.0~),
         libkf5completion-dev (>= 5.60.0~),
         libkf5config-dev (>= 5.60.0~),
         libkf5coreaddons-dev (>= 5.60.0~),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5itemmodels-dev (>= 5.60.0~),
         libkf5libkleo5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 19.08.3~),
         libkf5widgetsaddons-dev (>= 5.60.0~),
         libkf5windowsystem-dev (>= 5.60.0~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo5
Architecture: any
Multi-Arch: same
Depends: libkf5libkleo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))
override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
